package at.technikumwien.movies;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import java.net.URL;
import java.util.List;

public class MoviesWebServiceClient {
    public static void main(String[] args) throws Exception {
        URL wsdl = new URL("http://localhost:8080/movieservice/MoviesWebService?wsdl");
        QName serviceName = new QName("http://movies.technikumwien.at/", "MoviesWebService");

        Service service = Service.create(wsdl, serviceName);
        MoviesWebService port = service.getPort(MoviesWebService.class);

        // TODO: Move to a better place

        // Import movies
        List<Movie> movies = XmlHelper.xmlToMovies("movietest.xml");
        port.importMovies(movies);

        // Export all existing movies
        XmlHelper.moviesToXml(port.getAllMovies(), "movies_in_db.xml");
    }
}
